// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_Tunnel.h"
#include "SCW_UK2Node_EditablePinBase.h"

class UK2Node_Tunnel;

namespace Sourcify
{
	class SCW_UK2Node_Tunnel : public SCW_UK2Node_EditablePinBase, public virtual ISCW_UK2Node_Tunnel
	{
	public:
		SCW_UK2Node_Tunnel(UK2Node_Tunnel* InK2Node_Tunnel);

		UK2Node_Tunnel* ToUK2Node_Tunnel() const;

		ISCW_UK2Node_TunnelPtr ToUK2Node_TunnelPtr() override;
		ISCW_UK2Node_TunnelConstPtr ToUK2Node_TunnelPtr() const override;

	protected:
		UK2Node_Tunnel* K2Node_Tunnel;
	};
} // namespace Sourcify